Bug 500476 - Review Request: cups-bjnp - cups backend for Canon bjnp (USB over IP) printers
Review Request: cups-bjnp - cups backend for Canon bjnp (USB over IP) printers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 16:30 EDT by Louis Lagendijk
Modified: 2014-09-08 07:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-14 12:29:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Louis Lagendijk 2009-05-12 16:30:41 EDT
This is my first package for Fedora, so I am looking for a sponsor!

Spec URL: http://www.fazant.net/cups-bjnp/cups-bjnp.spec
SRPM URL: http://www.fazant.net/cups-bjnp/cups-bjnp-0.5.2.tar.gz
Description: This package contains a backend for CUPS for Canon printers using the proprietary BJNP network protocol.
Comment 1 Louis Lagendijk 2009-05-12 17:49:50 EDT
I am the author and upstream maintainer of this backend. It has been available on sourceforge for some time. The package is included in FreeBSD ports collection.
Similar code is also included in Sane 1.20 for support of Canon network scanners.
Comment 2 Louis Lagendijk 2009-05-16 11:16:15 EDT
Updated version:
Spec URL: http://www.fazant.net/cups-bjnp/cups-bjnp.spec
SRPM URL: http://www.fazant.net/cups-bjnp/cups-bjnp-0.5.2-2.fc10.src.rpm

- removed superfluous imake dependency
Comment 3 Igor Jurišković 2009-05-18 16:17:52 EDT
Hello Louis.

This is not official review. I'm looking for a sponsor like you.
----------------------------------------------------------------
- remove Vendor tag. Its not needed.
----------------------------------------------------------------

----------------------------------------------------------------
- Consider using parallel make if possible. If not write in comment above make why not. https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make
----------------------------------------------------------------

----------------------------------------------------------------
- install doesn't preserve timestamps. Add INSTALL="install -p" like:
make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install
http://fedoraproject.org/wiki/How_to_create_an_RPM_package#.25install_section
----------------------------------------------------------------

----------------------------------------------------------------
- update package to new version.
----------------------------------------------------------------

----------------------------------------------------------------
- I'm unable to download source but are you sure that License is only GPL? If possible be more specific like GPLv3+...
----------------------------------------------------------------

----------------------------------------------------------------
- %doc part can go into one line. Its easier to read but its your choice.
----------------------------------------------------------------

----------------------------------------------------------------
- you need to make space between changelogs:

* Thu Mar 12 2009 Louis Lagendijk <llagendijk@users.sourceforge.net>
- something

* Thu Feb 19 2009 Louis Lagendijk <llagendijk@users.sourceforge.net>
- something

* ...

----------------------------------------------------------------
- you're missing "-" at the beginning of some changes.
----------------------------------------------------------------

----------------------------------------------------------------
- changelog part is missing version and release number:

* Thu Mar 12 2009 Louis Lagendijk <llagendijk@users.sourceforge.net> <version>-<release>
----------------------------------------------------------------
Comment 4 Louis Lagendijk 2009-05-18 17:11:06 EDT
(In reply to comment #3)
> Hello Louis.
> 
> This is not official review. I'm looking for a sponsor like you.
> ----------------------------------------------------------------
> - remove Vendor tag. Its not needed.
> ----------------------------------------------------------------
> 
good catch, a left over from the Sourceforge release

> ----------------------------------------------------------------
> - Consider using parallel make if possible. If not write in comment above make
> why not. https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make
> ----------------------------------------------------------------
> 
done

> ----------------------------------------------------------------
> - install doesn't preserve timestamps. Add INSTALL="install -p" like:
> make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install
> http://fedoraproject.org/wiki/How_to_create_an_RPM_package#.25install_section
> ----------------------------------------------------------------
> 
done
> ----------------------------------------------------------------
> - update package to new version.
> ----------------------------------------------------------------
> 
Not sure what you mean here. Anyhow, the versions available now are based on the version I released on sourceforge Sat May 16
> ----------------------------------------------------------------
> - I'm unable to download source but are you sure that License is only GPL? If
> possible be more specific like GPLv3+...
> ----------------------------------------------------------------
> 
See license included. It is actually the Cups license, which is GPLv2. Corrected.

> ----------------------------------------------------------------
> - %doc part can go into one line. Its easier to read but its your choice.
> ----------------------------------------------------------------
> 
Done
> ----------------------------------------------------------------
> - you need to make space between changelogs:
> 
> * Thu Mar 12 2009 Louis Lagendijk <llagendijk@users.sourceforge.net>
> - something
> 
> * Thu Feb 19 2009 Louis Lagendijk <llagendijk@users.sourceforge.net>
> - something
> 
> * ...
> 
Done
> ----------------------------------------------------------------
> - you're missing "-" at the beginning of some changes.
> ----------------------------------------------------------------
> 
Done
> ----------------------------------------------------------------
> - changelog part is missing version and release number:
> 
> * Thu Mar 12 2009 Louis Lagendijk <llagendijk@users.sourceforge.net>
> <version>-<release>
> ----------------------------------------------------------------  
Done
 
I found a few more issues when I ran rpmlint on the srp. These are corrected as well.

New versions available:
Spec URL: http://www.fazant.net/cups-bjnp/cups-bjnp.spec
SRPM URL: http://www.fazant.net/cups-bjnp/cups-bjnp-0.5.3-2.fc10.src.rpm
Comment 6 Igor Jurišković 2009-05-20 16:41:55 EDT
- release is 2 but in last changelog entry its 1.

- remove INSTALL from %doc. You are making installation so other users have no need to look at it.


Other than that don't see any other problems.
Comment 7 Mamoru TASAKA 2009-05-22 12:04:25 EDT
For -2:

* tarball
  - Tarball in your srpm does not match which can be downloaded
    from the URL written as %SOURCE0:
------------------------------------------------------------------
117082 2009-05-17 05:00 cups-bjnp-0.5.3.tar.gz
139933 2009-05-19 05:59 cups-bjnp-0.5.3-2.fc10.src/cups-bjnp-0.5.3.tar.gz
------------------------------------------------------------------

* Macros
  - Please use macros for standard directories.
    /usr should be either %_prefix or %_exec_prefix:
    https://fedoraproject.org/wiki/Packaging/RPMMacros

* %defattr
  - Now we recommend %defattr(-,root,root,-)

* Directory ownership issue
  - %_exec_prefix/lib/cups/backend (defined as %cups_backend_dir)
    is already owned by cups rpm and this package should
    not own this directory itself
    ! Note that
------------------------------------------------------------------
%files
%{cups_backend_dir}
------------------------------------------------------------------
      contains all files/directories under %cups_backend_dir and
      the directory %cups_backend_dir itself
    As this directory is owned by cups (and currently this
    package Requires cups-libs but not cups), add
    "Requires: cups" to resolve directory ownership issue.

* Documents
  - As Igor pointed out on the comment 6, "INSTALL" file
    is not likely to be needed.

* %changelog
  - And modify %changelog entry
Comment 8 Louis Lagendijk 2009-05-29 17:50:48 EDT
(In reply to comment #7)
Thanks for the review. I have been on a short holiday, hence the delay in responding

I believe I have now fixed all your comments:

> For -2:
> 
> * tarball
>   - Tarball in your srpm does not match which can be downloaded
>     from the URL written as %SOURCE0:
>
Ok, fixed this. Released 0.5.4 upstream and used that to make the new spec file

> * Macros
>   - Please use macros for standard directories.
>     /usr should be either %_prefix or %_exec_prefix:
>     https://fedoraproject.org/wiki/Packaging/RPMMacros
> 

Done

> * %defattr
>   - Now we recommend %defattr(-,root,root,-)
> 

Done

> * Directory ownership issue
>   - %_exec_prefix/lib/cups/backend (defined as %cups_backend_dir)
>     is already owned by cups rpm and this package should
>     not own this directory itself
>     ! Note that
> ------------------------------------------------------------------
> %files
> %{cups_backend_dir}
> ------------------------------------------------------------------
>       contains all files/directories under %cups_backend_dir and
>       the directory %cups_backend_dir itself
>     As this directory is owned by cups (and currently this
>     package Requires cups-libs but not cups), add
>     "Requires: cups" to resolve directory ownership issue.
> 

Thanks, completely missed this. Fixed!

> * Documents
>   - As Igor pointed out on the comment 6, "INSTALL" file
>     is not likely to be needed.
> 

Done, INSTALL removed

> * %changelog
>   - And modify %changelog entry  
Done

New versions available:
Spec URL: http://www.fazant.net/cups-bjnp/cups-bjnp.spec
SRPM URL: http://www.fazant.net/cups-bjnp/cups-bjnp-0.5.4-1.fc10.src.rpm
Comment 9 Mamoru TASAKA 2009-05-30 12:31:56 EDT
For 0.5.4-1:

* cups_backend_dir
  - Well, according to cups.spec on Fedora %cups_backend_dir is
    %{_exec_prefix}/lib/cups, not %{_libdir}/cups/backend
    ( note that on 64 bit architecture, %_exec_prefix is /usr,
      while %_libdir is /usr/lib64 )

* %setup
  - "%setup -q -n %{name}-%{version}" can be replaced by
    "%setup -q"

Then:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 10 Louis Lagendijk 2009-05-30 16:46:34 EDT
(In reply to comment #9)
> For 0.5.4-1:
> 
> * cups_backend_dir
>   - Well, according to cups.spec on Fedora %cups_backend_dir is
>     %{_exec_prefix}/lib/cups, not %{_libdir}/cups/backend
>     ( note that on 64 bit architecture, %_exec_prefix is /usr,
>       while %_libdir is /usr/lib64 )
> 
corrected. I got misled by the description of the macros on the Wiki. Using the same as what cups does is indeed the bet way. Thanks!

> * %setup
>   - "%setup -q -n %{name}-%{version}" can be replaced by
>     "%setup -q"
> 
Corrected
> Then:
> -------------------------------------------------------------
> NOTE: Before being sponsored:
> 
> This package will be accepted with another few work. 
> But before I accept this package, someone (I am a candidate) 
> must sponsor you.
> 
Thanks for the offer. I will start working on some reviews and/or other packages as soon as possible. I seem to have picked a bad time to apply as packager with first a holiday and now a business trip coming up.
But first there is an updated package version available:
Spec URL: http://www.fazant.net/cups-bjnp/cups-bjnp.spec
SRPM URL: http://www.fazant.net/cups-bjnp/cups-bjnp-0.5.4-2.fc10.src.rpm  

Thanks for your excellent input, guidance and review!
Comment 11 Mamoru TASAKA 2009-06-03 09:23:43 EDT
Okay, now this package itself can be approved, so
I will wait for your pre-review or another review request.
Comment 12 Louis Lagendijk 2009-06-06 12:35:34 EDT
First pre-review done. See https://bugzilla.redhat.com/show_bug.cgi?id=502693
Comment 13 Mamoru TASAKA 2009-06-06 15:45:14 EDT
Okay.

--------------------------------------------------------
  This package (cups-bjnp) is APPROVED by mtasaka
--------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji)".

Now I am sponsoring you.

If you want to import this package into Fedora 9/10/11, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).
! But I don't recommend to request for Fedora 9 branch because
  Fedora 9 will be EOF after about one month.

If you have questions, please ask me.

Removing NEEDSPONSOR.
Comment 14 Louis Lagendijk 2009-06-06 16:08:04 EDT
Thanks for the quick response and sponsoring me!
Comment 15 Louis Lagendijk 2009-06-11 13:47:25 EDT
New Package CVS Request
=======================
Package Name: cups-bjnp
Short Description: CUPS backend for the Canon BJNP network printers
Owners: llagendijk
Branches: F-10 F-11 EL-5
InitialCC:
Comment 16 Kevin Fenzi 2009-06-12 00:13:50 EDT
cvs done.
Comment 17 Mamoru TASAKA 2009-06-14 12:28:49 EDT
Now closing.
Comment 18 Louis Lagendijk 2014-09-06 11:15:35 EDT
Requesting 
Package Change Request
======================
Package Name: cups-bjnp
New Branches: el7
Owners: llagendijk
InitialCC:
Comment 19 Gwyn Ciesla 2014-09-08 07:54:59 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.